<?php
$joy_featured_posts = joy_get_featured_posts();
if ( empty( $joy_featured_posts ) ) {
	return;
}

?>

    <div class="swiper-container featured-slider slider-type-slider">
        <div class="swiper-wrapper">
        	<?php
			foreach ( $joy_featured_posts as $post ) {
				setup_postdata( $post );
	
				$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'joy_fullscreen-image' );
				$thumb_url = $large_image_url[0];
				$post_link =  get_permalink();
				
				?>
				
				<div class="swiper-slide" style="background: url(<?php echo esc_url($thumb_url); ?>)">
					<div class="entry-header-wrapper">
						<div class="entry-header-inner">
				
							<div class="slider-inner">
								<?php the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">','</a></h1>' ); ?>
					
								<div class="post-meta-details">
									<?php joy_grid_category(); ?>
									<?php joy_grid_additional_meta(); ?>
			
									<div class="read-more">
							    		<a href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_html_e('Read More', 'brunch-lite'); ?> &rarr;</a>
							    	</div>
								</div>
						
							</div>
						</div>
					</div>
				</div>
				
				<?php 
			}
	
			wp_reset_postdata();
			?>
        
        
           
        </div>
        <!-- Add Pagination -->
        <div class="swiper-pagination"></div>
        <!-- Add Arrows -->
        <div class="swiper-button-next"><i class="ti-angle-right"></i></div>
        <div class="swiper-button-prev"><i class="ti-angle-left"></i></div>
    </div>
