<?php
$joy_featured_posts = joy_get_featured_posts();
if ( empty( $joy_featured_posts ) ) {
	return;
}
?>

<div class="featured-mag">
	<?php 
	$count = 1;
	foreach ( $joy_featured_posts as $post ) {
		setup_postdata( $post );
	
		$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'joy_fullscreen-image' );
		$thumb_url = $large_image_url[0];
		$post_link =  get_permalink();
	
		if ($count == 2) {
			echo '<div class="second">';
		}
		?>
	
		<div class="featured-mag-post <?php echo ($count == 1) ? 'first': 'small'; ?> <?php echo ($count == 2) ? 'wide' : ''; ?>">
			<div class="post-featured-image">
				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
					<?php the_post_thumbnail( 'joy_preview-image' ); ?>
				</a>
			</div>
			
			<header class="post-preview-header">
				<h2 class="title">
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
						<?php echo get_the_title(); ?></a>
				</h2>
				<div class="post-meta-details">
					<?php joy_grid_category(); ?>
					<?php joy_grid_additional_meta(); ?>
							
							
						
				</div>
			</header>
			
		</div>
	<?php
		$count++; 
	}
	
	if ($count > 1) {
		echo '</div>';
	}
	
	?>
</div>

<?php 
	wp_reset_postdata();
?>